Eclipse GEF 3.3

## org.eclipse.gef
Class Request

    java.lang.Object
      org.eclipse.gef.Request

Direct Known Subclasses:
  CreateRequest, ForwardedRequest, GroupRequest, LocationRequest

public class Request
extends Object

An Object used to communicate with EditParts. Request encapsulates the information EditParts need to perform various functions. Requests are used for obtaining commands, showing feedback, and performing generic operations. TODO: This should probably go into the org.eclipse.gef.requests package.

Constructor Summary
`Request()` Constructs an empty Request
`Request(Object type)` Constructs a Request with the specified type

Method Summary
`Map` `getExtendedData()` Returns a Map that can be used to save useful information in this request.
`Object` `getType()` Returns the type of the request.
`void` `setExtendedData(Map map)` Sets the given map to be the new extended data (by reference) for this request.
`void` `setType(Object type)` Sets the type of the Request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    public Request()

  Constructs an empty Request

### Request

    public Request(Object type)

  Constructs a Request with the specified type

Parameters:
  `type` - the Request type
See Also:
  `getType()`

Method Detail

### getExtendedData

    public Map getExtendedData()

  Returns a Map that can be used to save useful information in this request.

  Returns:
    a map to store useful information

### getType

    public Object getType()

  Returns the type of the request. The type is often used as a quick way to filter recognized Requests. Once the type is identified, the Request is usually cast to a more specific subclass containing additional data.

  Returns:
    the Request type

### setExtendedData

    public void setExtendedData(Map map)

  Sets the given map to be the new extended data (by reference) for this request.

  Parameters:
    `map` - The new map

### setType

    public void setType(Object type)

  Sets the type of the Request.

  Parameters:
    `type` - the Request type

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.